> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List dataset jobs



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /model-monitor/v2/api/{model_id}/dataset-jobs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/{model_id}/dataset-jobs:
    summary: Get the list of jobs associated with a model
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier of the model
    post:
      tags:
        - Model Monitoring drift and quality
      operationId: getDatasetJobs
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_jobHistoryRequest'
      responses:
        '200':
          description: Gets the list of jobs for the model
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_listJobResponse'
        '404':
          description: Dataset not found for the given identifier.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_jobHistoryRequest:
      title: List Dataset Jobs
      description: List the dataset jobs associated with a model
      type: object
      required:
        - start
        - end
        - pagination
      properties:
        start:
          description: Start Date for the Dataset range
          type: integer
        end:
          description: End Date for the Dataset range
          type: integer
        pagination:
          $ref: '#/components/schemas/dmm-plier_jobPagination'
        search:
          description: Search key for dataset name
          type: string
        filters:
          $ref: '#/components/schemas/dmm-plier_jobDashboardFilter'
    dmm-plier_listJobResponse:
      type: object
      required:
        - total
        - jobs
      properties:
        total:
          description: >-
            Total number of jobs qualified for the query sent, without
            pagination
          type: integer
        jobs:
          type: array
          description: List of jobs by pagination
          items:
            $ref: '#/components/schemas/dmm-plier_jobHistoryResponse'
    dmm-plier_jobPagination:
      title: Pagination Object
      description: This is used to fetch the result in a paginated manner
      type: object
      required:
        - order
        - sort
        - page
        - size
      properties:
        order:
          description: The sorting order, 1 for ascending and -1 for descending
          type: integer
          enum:
            - 1
            - -1
        sort:
          description: The sorting key to be used
          type: string
          enum:
            - created_at
            - records
        page:
          description: The page number for the data to be fetched
          type: integer
        size:
          description: The page size to be used for fetching the data
          type: integer
    dmm-plier_jobDashboardFilter:
      title: Dataset Job Dashboard Filter
      description: Filter keys for dataset job dashboard
      type: object
      properties:
        status:
          description: Status of the dataset job
          type: array
          items:
            type: string
            enum:
              - pending
              - processing
              - done
              - failed
              - skipped
        job_type:
          description: Type of the dataset job
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_jobType'
    dmm-plier_jobHistoryResponse:
      title: Dataset Job
      description: Dataset Job summary for history
      type: object
      required:
        - job_id
        - dataset_id
        - dataset_name
        - datasource_name
        - datasource_type
        - job_type
        - registered_on
        - status
        - dataset_path
        - infos
        - errors
        - warnings
      properties:
        job_id:
          description: Unique Identifier of a dataset job
          type: string
        dataset_id:
          description: Unique Identifier of a dataset
          type: string
        feature_set_details:
          $ref: '#/components/schemas/dmm-plier_featureSetDetails'
        actionable_insights_details:
          $ref: '#/components/schemas/dmm-plier_actionableInsightsDetails'
        dataset_name:
          description: Name of the dataset associated with the job
          type: string
        datasource_name:
          description: Name of the datasource, the dataset belongs to
          type: string
        datasource_type:
          $ref: '#/components/schemas/dmm-plier_datasourceType'
        job_type:
          description: Type of the dataset job, such as training, prediction
          type: string
          enum:
            - training
            - prediction
            - ground_truth
            - actionable_insights
        registered_on:
          description: The timestamp, when dataset was registered on
          type: integer
        records:
          description: Number of records processed in the dataset job
          type: integer
        status:
          description: Processing status of the dataset job
          type: string
          enum:
            - pending
            - processing
            - done
            - failed
            - skipped
        dataset_path:
          description: The path of the dataset
          type: string
        errors:
          description: list of errors encountered during the job processing
          type: array
          items:
            type: string
        warnings:
          description: list of warnings encountered during the job processing
          type: array
          items:
            type: string
        infos:
          description: list of infos encountered during the job processing
          type: array
          items:
            type: string
    dmm-plier_jobType:
      description: Type of processing, can be training or prediction.
      type: string
    dmm-plier_featureSetDetails:
      required:
        - featureSetId
        - featureSetVersionId
      properties:
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
    dmm-plier_actionableInsightsDetails:
      properties:
        domino_job_url:
          description: The URL of the Domino Job.
          type: string
        domino_results_url:
          description: URL at which the results can be accessed.
          type: string
    dmm-plier_datasourceType:
      description: Type of the datasource to which the dataset belongs.
      type: string
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Monitor Jobs](/6.3/platform-capabilities/core-concepts/jobs/monitor-jobs.md)
- [Create and manage Datasets](/6.3/platform-capabilities/core-concepts/data/datasets/create-and-manage-datasets.md)
- [List](/6.3/api-reference/artifacts/list.md)
- [Use Datasets and snapshots](/6.3/platform-capabilities/core-concepts/data/datasets/use-datasets-and-snapshots.md)
